## extra-cmake-modules-6.19.0-1.src.tar.gz

=== tests/ECMCheckOutboundLicenseTest/CMakeLists.txt ===
set(ECM_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../modules)
set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/../../modules
    ${CMAKE_CURRENT_SOURCE_DIR}/../../find-modules
)

include(ECMCheckOutboundLicense)

# check relative and absolute input paths
ecm_check_outbound_license(
LICENSES LGPL-2.1-only
TEST_NAME absolute-path-handling
FILES
    testdata/BSD-2-Clause.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/testdata/LGPL-2.1-or-later.cpp
)

# check test case generation without TEST_NAME statement
ecm_check_outbound_license(
LICENSES LGPL-2.1-only
FILES
    testdata/BSD-2-Clause.cpp
)

# check multi license case
ecm_check_outbound_license(
LICENSES LGPL-2.1-only GPL-3.0-only
TEST_NAME multiple-licenses
FILES
    testdata/BSD-2-Clause.cpp
)


# check for valid LGPL-2.1-only
ecm_check_outbound_license(
LICENSES LGPL-2.1-only
TEST_NAME valid-LGPL-2.1-only
FILES
    testdata/BSD-2-Clause.cpp
    testdata/LGPL-2.1-or-later.cpp
)

# check for valid LGPL-3.0-only
ecm_check_outbound_license(
LICENSES LGPL-3.0-only
TEST_NAME valid-LGPL-3.0-only
FILES
    testdata/BSD-2-Clause.cpp
    testdata/LGPL-2.1-or-later.cpp
    testdata/LGPL-3.0-only.cpp
)

# check for valid GPL-2.0-only
ecm_check_outbound_license(
LICENSES GPL-2.0-only
TEST_NAME valid-GPL-2.0-only
FILES
    testdata/BSD-2-Clause.cpp
    testdata/LGPL-2.1-or-later.cpp
    testdata/GPL-2.0-only.cpp
)

# check for valid GPL-3.0-only
ecm_check_outbound_license(
LICENSES GPL-3.0-only
TEST_NAME valid-GPL-3.0-only
FILES
    testdata/BSD-2-Clause.cpp
    testdata/LGPL-2.1-or-later.cpp
    testdata/LGPL-3.0-only.cpp
    testdata/GPL-3.0-only.cpp
)

# check for invalid GPL-3.0-only
ecm_check_outbound_license(
LICENSES LGPL-2.1-only
TEST_NAME invalid-LGPL-2.1-only
FILES
    testdata/LGPL-2.0-only.cpp
    testdata/GPL-3.0-only.cpp
WILL_FAIL
)

# check for invalid GPL-3.0-only
ecm_check_outbound_license(
LICENSES GPL-3.0-only
TEST_NAME invalid-GPL-3.0-only
FILES
    testdata/GPL-2.0-only.cpp
    testdata/GPL-3.0-only.cpp
WILL_FAIL
)

=== tests/ECMGeneratePkgConfigFile/no_description_parameter_metainfo_with_empty_description/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(no_description_parameter_metainfo_with_description-param VERSION 5.43)

include(../test-and-comparison-helpers.cmake)

include(ECMGeneratePkgConfigFile)
include(ECMSetupVersion)

ecm_setup_version(PROJECT VARIABLE_PREFIX KCOREADDONS
                VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h"
                PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
                SOVERSION 5)

set(origfiles "${CMAKE_CURRENT_SOURCE_DIR}/../../../tests/ECMGeneratePkgConfigFile/KF5CoreAddons3.pc")

file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/../../../tests/ECMGeneratePkgConfigFile/metainfo_with_empty_description.yaml
     DESTINATION ${CMAKE_CURRENT_SOURCE_DIR})
file(RENAME ${CMAKE_CURRENT_SOURCE_DIR}/metainfo_with_empty_description.yaml ${CMAKE_CURRENT_SOURCE_DIR}/metainfo.yaml)

ecm_generate_pkgconfig_file(BASE_NAME KF5CoreAddons3
                            DEPS Qt5Core
                            INCLUDE_INSTALL_DIR /usr/KCoreAddons
                            FILENAME_VAR OutputFile)

compare_files(GENERATED ${OutputFile}
              ORIGINALS ${origfiles})
file(REMOVE ${OutputFile})
file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/metainfo.yaml)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Andrea Scarpino <andrea@archlinux.org>

pkgname=extra-cmake-modules
pkgver=6.19.0
pkgrel=1
pkgdesc='Extra modules and scripts for CMake'
arch=(any)
url='https://community.kde.org/Frameworks'
license=(LGPL)
depends=(cmake)
makedepends=(python-requests
             python-sphinx
             qt6-tools)
optdepends=('python-pyxdg: to generate fastlane metadata for Android apps'
            'python-requests: to generate fastlane metadata for Android apps'
            'python-yaml: to generate fastlane metadata for Android apps')
groups=(kf6)
source=(https://download.kde.org/stable/frameworks/${pkgver%.*}/$pkgname-$pkgver.tar.xz{,.sig})
sha256sums=('a4f0c1d8181f43e9af4b9b44696c77760b5bc9dae5bdb921f090bce664e9ca84'
            'SKIP')
            
validpgpkeys=(53E6B47B45CEA3E0D5B7457758D0EE648A48B3BB # David Faure <faure@kde.org>
              E0A3EB202F8E57528E13E72FD7574483BB57B18D # Jonathan Esk-Riddell <jr@jriddell.org>
              90A968ACA84537CC27B99EAF2C8DF587A6D4AAC1 # Nicolas Fella <nicolas.fella@kde.org>
              )

build() {
  cmake -B build -S $pkgname-$pkgver \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DBUILD_HTML_DOCS=ON \
    -DBUILD_QTHELP_DOCS=ON \
    -DBUILD_TESTING=OFF
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
